Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Peer_Connected< PROXY, PEER > Class Template Reference

`#include <ESF_Peer_Workers.h>`

Inheritance diagram for TAO_ESF_Peer_Connected< PROXY, PEER >:

[legend]
Collaboration diagram for TAO_ESF_Peer_Connected< PROXY, PEER >:

[legend]
List of all members.

## Public Methods
| TAO_ESF_Peer_Connected (PEER *peer)
void | work (PROXY *proxy ACE_ENV_ARG_DECL)
## Private Attributes
PEER * | peer_

## Detailed Description

### template<class PROXY, class PEER>
class TAO_ESF_Peer_Connected< PROXY, PEER >

Helper class. Used to iterate over a Proxy_Collection and invoke: PROXY->connected (peer); peer->connected (proxy);

## Constructor & Destructor Documentation

template<class P, class R>
TAO_ESF_Peer_Connected< P, R >::TAO_ESF_Peer_Connected | ( | PEER * | peer | ) |

## Member Function Documentation

template<class P, class R>
void TAO_ESF_Peer_Connected< P, R >::work | ( | PROXY *proxy | ACE_ENV_ARG_DECL | ) |

## Member Data Documentation

template<class PROXY, class PEER>
PEER* TAO_ESF_Peer_Connected< PROXY, PEER >::peer_`[private]`

The documentation for this class was generated from the following files:

- ESF_Peer_Workers.h
- ESF_Peer_Workers.cpp
- ESF_Peer_Workers.i